Show / Hide Table of Contents

# Struct RaptureTextModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureTextModule

### Methods

| Improve this Doc View Source

#### FormatAddonText2(UInt32, Int32, Int32)

##### Declaration

    public byte *FormatAddonText2(uint addonId, int intParam1, int intParam2)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | addonId |
System.Int32 | intParam1 |
System.Int32 | intParam2 |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### FormatAddonText3(UInt32, Int32, Int32, Int32)

##### Declaration

    public byte *FormatAddonText3(uint addonId, int intParam1, int intParam2, int intParam3)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | addonId |
System.Int32 | intParam1 |
System.Int32 | intParam2 |
System.Int32 | intParam3 |

##### Returns

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### GetAddonText(UInt32)

##### Declaration

    public byte *GetAddonText(uint addonId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | addonId |

##### Returns

Type | Description
--- | ---
System.Byte* |